# cpl_query.iterable

## cpl_query.iterable.iterable

class cpl_query.iterable.iterable.Iterable(t: Optional[type] = None, values: Optional[Iterable] = None)

  Bases: `IterableABC`

## cpl_query.iterable.iterable_abc

class cpl_query.iterable.iterable_abc.IterableABC(t: Optional[type] = None, values: Optional[Iterable] = None)

  Bases: `QueryableABC`

  ABC to define functions on list

  add(_object: object)

    Adds element to list Parameter ———

    > _object: `object`

    >   value

  append(_object: object)

    Append object to the end of the list.

  extend(_IterableABC__iterable: Iterable) → IterableABC

    Adds elements of given list to list Parameter ———

    > __iterable: :class: cpl_query.extension.iterable.Iterable

    >   index

  remove(_object: object)

    Removes element from list Parameter ———

    > _object: `object`

    >   value

  remove_at(_index: int)

    Removes element from list Parameter ———

    > _object: `object`

    >   value

  to_enumerable() → EnumerableABC

    Converts :class: cpl_query.iterable.iterable_abc.IterableABC to :class: cpl_query.enumerable.enumerable_abc.EnumerableABC

    > class

    >   cpl_query.enumerable.enumerable_abc.EnumerableABC

  property type: type